From 565262142dab2417a20f580fffea3087ddd962d6 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Thu, 31 Oct 2024 08:50:07 +0800
Subject: [PATCH 06/16] Add public key, adjust config files

---
 Makefile.in              | 1 +
 doc/archive_sites.conf   | 5 ++++-
 doc/macports.conf.in     | 8 ++++++--
 doc/pubkeys.conf.in      | 1 +
 doc/sources.conf         | 5 ++++-
 doc/variants.conf        | 2 ++
 macos-powerpc-pubkey.pem | 9 +++++++++
 7 files changed, 27 insertions(+), 4 deletions(-)
 create mode 100644 macos-powerpc-pubkey.pem

diff --git a/Makefile.in b/Makefile.in
index 184d431aa..efc1e1333 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -37,6 +37,7 @@ install::
 	$(INSTALL) -d -o "${DSTUSR}" -g "${DSTGRP}" -m "${DSTMODE}" "$(DESTDIR)${datadir}/macports/"
 	$(INSTALL)    -o "${DSTUSR}" -g "${DSTGRP}" -m 444 setupenv.bash  "$(DESTDIR)${datadir}/macports/"
 	$(INSTALL)    -o "${DSTUSR}" -g "${DSTGRP}" -m 444 $(srcdir)/macports-pubkey.pem  "$(DESTDIR)${datadir}/macports/"
+	$(INSTALL)    -o "${DSTUSR}" -g "${DSTGRP}" -m 444 $(srcdir)/macos-powerpc-pubkey.pem  "$(DESTDIR)${datadir}/macports/"
 	$(INSTALL) -d -o "${DSTUSR}" -g "${DSTGRP}" -m "${DSTMODE}" "$(DESTDIR)${datadir}/macports/keys/base"
 	$(INSTALL) -d -o "${DSTUSR}" -g "${DSTGRP}" -m "${DSTMODE}" "$(DESTDIR)${datadir}/macports/keys/ports"
 	$(INSTALL) -d -o "${DSTUSR}" -g "${DSTGRP}" -m "${DSTMODE}" "$(DESTDIR)${datadir}/macports/keys/archives"
diff --git a/doc/archive_sites.conf b/doc/archive_sites.conf
index 36c6b5226..8cfdfa156 100644
--- a/doc/archive_sites.conf
+++ b/doc/archive_sites.conf
@@ -50,6 +50,9 @@
 #prefix              	/opt/mysource
 #applications_dir    	/opt/mysource/Applications
 
+name                	MacOS-PowerPC
+urls                	http://macos-powerpc.org/packages/
+
 # To disable the default archive source, uncomment the following dummy
 # entry; it will shadow the one from the ports tree.
-#name                	macports_archives
+name                	macports_archives
diff --git a/doc/macports.conf.in b/doc/macports.conf.in
index 590b7414c..ae79dbcda 100644
--- a/doc/macports.conf.in
+++ b/doc/macports.conf.in
@@ -84,7 +84,10 @@ variants_conf       	@MPCONFIGDIR_EXPANDED@/variants.conf
 # - Mac OS X 10.5 and earlier: "ppc" on PowerPC, otherwise "i386".
 # - Mac OS X 10.6 - 10.15: "x86_64" on 64-bit Intel, otherwise "i386".
 # - macOS 11 and later: "arm64" on Apple Silicon, otherwise "x86_64".
-#build_arch          	x86_64
+build_arch          	ppc
+
+# Make sure the right C++ runtime is picked.
+cxx_stdlib              libstdc++
 
 # Space-delimited list of CPU architectures to target when building
 # universal. Defaults to "i386 ppc" on Mac OS X 10.5 and earlier,
@@ -92,7 +95,8 @@ variants_conf       	@MPCONFIGDIR_EXPANDED@/variants.conf
 # macOS 10.14 and 10.15 (these SDKs are not universal), and
 # "arm64 x86_64" on macOS 11 and later. Set an empty value to disable
 # universal building.
-#universal_archs     	@UNIVERSAL_ARCHS@
+# We disable universal here, since ppc64 is unsupported in 10.6.
+universal_archs
 
 # Use ccache, a compiler cache for C, C++, Objective-C, and
 # Objective-C++. (See http://ccache.samba.org.) The "ccache" executable
diff --git a/doc/pubkeys.conf.in b/doc/pubkeys.conf.in
index 2fcf8c096..03d1f228a 100644
--- a/doc/pubkeys.conf.in
+++ b/doc/pubkeys.conf.in
@@ -3,6 +3,7 @@
 # Downloaded archives will only be used if they can be verified by one
 # of the public keys listed here. Use absolute paths, one per line.
 
+@prefix_expanded@/share/macports/macos-powerpc-pubkey.pem
 @prefix_expanded@/share/macports/macports-pubkey.pem
 
 # To distribute archives of your own, generate a key pair:
diff --git a/doc/sources.conf b/doc/sources.conf
index 391d3500e..41b50d2c9 100644
--- a/doc/sources.conf
+++ b/doc/sources.conf
@@ -27,4 +27,7 @@
 # sites, etc.), the primary MacPorts source must always be tagged
 # "[default]", even if switched from the default "rsync://" URL.
 
-rsync://rsync.macports.org/macports/release/tarballs/ports.tar.gz [default]
+rsync://macos-powerpc.org/macos-powerpc/PPCPorts/ports.tar [default]
+
+# If you want to 
+# rsync://rsync.macports.org/macports/release/tarballs/ports.tar.gz [default]
diff --git a/doc/variants.conf b/doc/variants.conf
index 6975f50d8..6c0ee30dd 100644
--- a/doc/variants.conf
+++ b/doc/variants.conf
@@ -11,3 +11,5 @@
 #   -x11 +no_x11 +quartz
 #   +gcc48
 #   +universal
+
+-universal
diff --git a/macos-powerpc-pubkey.pem b/macos-powerpc-pubkey.pem
new file mode 100644
index 000000000..c53ed8dd9
--- /dev/null
+++ b/macos-powerpc-pubkey.pem
@@ -0,0 +1,9 @@
+-----BEGIN PUBLIC KEY-----
+MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAizBE5CJEPUTySQCAJbV6
+vPe8sxBwoDjSWXfK08wlOxYs+6kege0dYbjAE8uxWCrH4iFz6r8kQ4KKC9YxHYrI
+HByup00TTvFZg+VptTpbwMg5YAUPxNAjXX6yw9Chi3a/Z0rFVbo5ZzO8ZqNW2Eeg
+8SzJCl9MgcwW6kaPisoZPFcXpKT0mcmpJmI/CW6CBeei/4w+TdZ5t1JxVOK0Rnkb
+2EzB5yr0un4Z6No3eu/4IG+l5MfeZd2coidbhDAc9Bhj7OnW2JzefcRFRo7JLmjY
+1FRSCWzkAHEEaMpRQZASGJceWvKRTda7Gb9Dq9BHQS4snqVQsw3nTkQOBjIeknii
+SwIDAQAB
+-----END PUBLIC KEY-----
-- 
2.49.0

